Bug 1315785 - (CVE-2016-1974) CVE-2016-1974 Mozilla: Out-of-bounds read in HTML parser following a failed allocation (MFSA 2016-34)
CVE-2016-1974 Mozilla: Out-of-bounds read in HTML parser following a failed a...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160308,repor...
: Security
Depends On:
Blocks: 1313724
  Show dependency treegraph
 
Reported: 2016-03-08 10:22 EST by Huzaifa S. Sidhpurwala
Modified: 2016-03-28 01:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-28 01:24:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2016-03-08 10:22:45 EST
Security researcher Ronald Crane reported an out-of-bounds read following a failed allocation in the HTML parser while working with unicode strings. This can also affect the parsing of XML and SVG format data. This leads to a potentially exploitable crash. 

External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-34.html


Acknowledgements:

Name: the Mozilla project
Upstream: Ronald Crane
Comment 1 errata-xmlrpc 2016-03-09 00:12:57 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2016:0373 https://rhn.redhat.com/errata/RHSA-2016-0373.html
Comment 2 errata-xmlrpc 2016-03-16 13:37:39 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7

Via RHSA-2016:0460 https://rhn.redhat.com/errata/RHSA-2016-0460.html

Note You need to log in before you can comment on or make changes to this bug.